@ECHO OFF&PUSHD %~DP0 &TITLE 绿化卸载 
taskkill /f /im BaiduMusic* >NUL 2>NUL
:Menu
echo.&echo 1.绿化
echo.&echo 2.卸载
echo.&echo 3.设置百度音乐为默认播放器
echo.&echo 4.创建桌面百度音乐快捷方式
echo.&echo.
set /p a=输入数字回车：
if "%a%"=="1" Goto install
if "%a%"=="2" Goto uninstall
if "%a%"=="3" Goto SetAssoc
if "%a%"=="4" Goto DesktopLnk
:install
rd/s/q "%UserProfile%\AppData\Local\BaiduMusic"2>NUL
BaiduMusic.exe /install
BaiduMusic.exe /importttlist
SET E=完成!&GOTO MSGBOX
:SetAssoc
BaiduMusic.exe /defaultprogram
SET E=完成!&GOTO MSGBOX
:uninstall
BaiduMusic.exe /upgradeuninstall
rd/s/q "%AppData%\baidu\BaiduMusic"2>NUL
reg delete HKCU\Software\Baidu\BaiduMusic /f>NUL 2>NUL
rd/s/q "%UserProfile%\AppData\Local\BaiduMusic"2>NUL
SET E=完成!&GOTO MSGBOX
:DesktopLnk
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\百度音乐.lnk""):b.TargetPath=""%~dp0BaiduMusic.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")&SET E=完成!&GOTO MSGBOX
:MsgBox
if "%1"=="" mshta VBScript:MsgBox("%e%",vbSystemModal,"")(close)& Cls&Goto Menu